Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.container.tomcat
Class AbstractTomcatContainer

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.cactus.integration.ant.container.AbstractContainer
              org.apache.cactus.integration.ant.container.AbstractJavaContainer
                  org.apache.cactus.integration.ant.container.tomcat.AbstractTomcatContainer

All Implemented Interfaces:
  Container

Direct Known Subclasses:
  AbstractCatalinaContainer, Tomcat3xContainer

public abstract class AbstractTomcatContainer
extends AbstractJavaContainer

Base support for Catalina based containers.

Version:
  $Id: AbstractTomcatContainer.java 238811 2004-02-29 10:10:42Z vmassol $

Constructor Summary
`AbstractTomcatContainer()`

Method Summary
`void` | `addConf(org.apache.tools.ant.types.FileSet theConf)` Adds a set of files to include in the Tomcat configuration directory.
`java.io.File` | `getDir()` Sets the Tomcat installation directory.
`int` | `getPort()` Returns the port to which the container should listen.
`java.io.File` | `getServerXml()`
`void` | `init()` The default implementation does nothing.
`void` | `setDir(java.io.File theDir)` Sets the Tomcat installation directory.
`void` | `setPort(int thePort)` Sets the port to which the container should listen.
`void` | `setServerXml(java.io.File theServerXml)` Sets the server configuration file to use for the test installation of Tomcat.

Methods inherited from class org.apache.cactus.integration.ant.container.AbstractJavaContainer
`setAppend, setJVMArgs, setOutput`

Methods inherited from class org.apache.cactus.integration.ant.container.AbstractContainer
`createExclude, getBaseURL, getContainerClasspath, getExcludePatterns, getProtocol, getServer, getStartUpWait, getSystemProperties, getTestContext, getToDir, isEnabled, isExcluded, setAntTaskFactory, setContainerClasspath, setDeployableFile, setIf, setLog, setProtocol, setServer, setStartUpWait, setSystemProperties, setToDir, setUnless`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cactus.integration.ant.container.Container
`getName, shutDown, startUp`

Constructor Detail

### AbstractTomcatContainer

    public AbstractTomcatContainer()

Method Detail

### addConf

    public final void addConf(org.apache.tools.ant.types.FileSet theConf)

  Adds a set of files to include in the Tomcat configuration directory.

  Parameters:
    `theConf` - The fileset to add

### getDir

    public final java.io.File getDir()

  Sets the Tomcat installation directory.

  Returns:
    The directory

### setDir

    public final void setDir(java.io.File theDir)

  Sets the Tomcat installation directory.

  Parameters:
    `theDir` - The directory to set

### getServerXml

    public final java.io.File getServerXml()

  Returns:
    The server.xml file, if set or null otherwise

### setServerXml

    public final void setServerXml(java.io.File theServerXml)

  Sets the server configuration file to use for the test installation of Tomcat.

  Parameters:
    `theServerXml` - The server.xml file

### setPort

    public final void setPort(int thePort)

  Sets the port to which the container should listen.

  Parameters:
    `thePort` - The port to set

### getPort

    public final int getPort()

  Returns the port to which the container should listen.

  Returns:
    The port

### init

    public void init()

  Description copied from class: `AbstractContainer`
  The default implementation does nothing.

  Specified by:
    `init` in interface `Container`
  Overrides:
    `init` in class `AbstractContainer`
  See Also:
    `Container.init()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.